<?php

/*

  osCommRes, Services Online
  http://www.oscommres.com

  Copyright (c) 2005 osCommRes

  Released under the GNU General Public License
  
  Freeway eCommerce from ZacWare
http://www.zac-ware.com/freeway

Copyright 2007 ZacWare Pty. Ltd 
*/
// Set flag that this is a parent file
	define( '_FEXEC', 1 );
  require('includes/application_top.php');  
  tep_get_last_access_file();
  require('includes/classes/pdfTable.php');
  require(DIR_WS_FUNCTIONS . 'events_tree.php');
  require(DIR_WS_FUNCTIONS . 'subscription_tree.php');
  require(DIR_WS_CLASSES . 'split_page_results_report.php');
  define(BOX_WIDTH1,'125');

	// get initial parameters, first check the session for previous values
	if (isset($HTTP_GET_VARS["return"]) && isset($HTTP_SESSION_VARS["rep_params"])){
		$input_params=&$HTTP_SESSION_VARS["rep_params"];
	} else {
		$input_params=&$HTTP_POST_VARS;
		if (isset($input_params["post_action"])){
			tep_set_session_value("rep_params",$HTTP_POST_VARS);
			$GLOBALS["rep_params"]["post_action"]="screen";
		} else {
			tep_set_session_value("rep_params",array());
		}
	}
	$date=isset($input_params['txtDate'])?tep_convert_date_raw($input_params['txtDate']):getServerDate();
	
	
	if ($login_groups_type==TEXT_INSTRUCTOR_ENTRY){
		$instructor=$login_id;
	} else {
		$instructor=isset($input_params['sel_instructor'])?$input_params['sel_instructor']:-1;
	}
	$view=isset($input_params['sel_view'])?$input_params['sel_view']:1;
	$location=isset($input_params['sel_location'])?$input_params['sel_location']:-1;
	$event=isset($input_params['sel_event'])?$input_params['sel_event']:-1;
	$sel_subscription=isset($input_params['sel_subscription'])?$input_params['sel_subscription']:-1;
	$chk_subscription=isset($input_params['chk_subscription'])?true:false;
	$post_action = isset($input_params['post_action'])?$input_params['post_action']:'';
	$output_pdf=isset($input_params['chk_output_pdf'])?true:false;
	$output_excel=isset($input_params['chk_output_excel'])?true:false;
	$page=isset($input_params['page'])?$input_params['page']:1;
	$date_begin = $date;
	$date_end = $date;	
	$days= date('t',strtotime($date));	
	$display_header="";
	
	if ($post_action==""){
		$output_pdf=true;
		$post_action="screen";
	}	
	if($view==2) {
		$sql =  "select date_add('$date', interval -(dayofweek('$date')-1) day) begin, date_add('$date', interval (7-dayofweek('$date')) day) end";	
	} else if($view==3) {
		$sql =  "select date_add('$date', interval -(dayofmonth('$date')-1) day) begin, date_add('$date', interval ('$days'-dayofmonth('$date')) day) end";	
	}
	if($view==2 || $view==3) {
		$sql_result = tep_db_query($sql);
		$row = mysql_fetch_assoc($sql_result);
		$date_begin = $row["begin"];
		$date_end = $row["end"];	
	}
	
	// create the header for the pdf page
	$display_header=TEXT_DAY .  ":&nbsp;&nbsp;" . $date . "&nbsp;&nbsp;&nbsp;&nbsp;";
	if ($view==1) {
		$display_header.=TEXT_VIEW .  ":&nbsp;&nbsp;" . TEXT_DAY . "\t";
	} else if ($view==2){
		$display_header.=TEXT_VIEW .  ":&nbsp;&nbsp;" . TEXT_WEEK . "\t";
	} else {
		$display_header.=TEXT_VIEW .  ":&nbsp;&nbsp;" . TEXT_MONTH . "\t";
	}
	if ($instructor=="-1") $display_header.=TEXT_INSTRUCTOR . ":&nbsp;&nbsp;" . TEXT_ALL_INSTRUCTORS ."\t";
	if ($location=="-1") $display_header.=TEXT_LOCATION . ":&nbsp;&nbsp;" . TEXT_ALL_LOCATIONS  ."\t";
	if ($event=="-1") $display_header.=TEXT_EVENT . ":&nbsp;&nbsp;" . TEXT_ALL_EVENTS  ."\t";
	if ($subscription="-1") $display_header .=TEXT_SUBSCRIPTION . ':&nbsp;&nbsp;' . TEXT_ALL_SUBSCRIPTIONS . "\t";
	$instructors_array = array();
	$events_array = array();
	$locations_array=array();
	$subscriptions_array=array();

	$view_array=array(array("id"=>1,"text"=>TEXT_DAY),array("id"=>2,"text"=>TEXT_WEEK),array("id"=>3,"text"=>TEXT_MONTH));


	// get instructor names
	$instructor_option="";
	if ($login_groups_type==TEXT_INSTRUCTOR_ENTRY){
		$instructor_option=" and a.admin_id='" . $login_id . "' "; 
	} else {
		$instructors_array[]=array("id"=>-1,"text"=>TEXT_ALL_INSTRUCTORS);
	}			
	$sql = "select a.admin_id admin_id, admin_firstname, admin_lastname  from events_instructors ei, admin a where ei.admin_id=a.admin_id " . $instructor_option . " order by admin_firstname,admin_lastname";
	$sql_result = tep_db_query($sql);
	$num_rows = tep_db_num_rows($sql_result);
	while($row=tep_db_fetch_array($sql_result)) {
		$instructors_array[]=array("id"=>$row["admin_id"],"text"=>$row["admin_firstname"]." ".$row["admin_lastname"]);
		if ($row["admin_id"]==$instructor){
			$display_header.=TEXT_INSTRUCTOR  . ":&nbsp;&nbsp;" . $row["admin_firstname"]." ".$row["admin_lastname"] . "\t";
		}
	}
	mysql_free_result($sql_result);
	
	// get subscription name
	$sql = "select distinct su.subscription_id, sud.subscription_name from ". TABLE_SUBSCRIPTIONS . " su, " .TABLE_SUBSCRIPTIONS_DESCRIPTION . " sud where sud.language_id='".$languages_id ."'  and su.subscription_id=sud.subscription_id order by sud.subscription_name";
	$sql_result = tep_db_query($sql);
	$subscriptions_array[]=array("id"=>-1,"text"=>TEXT_ALL_SUBSCRIPTIONS);
	while($row=tep_db_fetch_array($sql_result)) {
		$subscriptions_array[]=array("id"=>$row["subscription_id"],"text"=>$row["subscription_name"]);
		if ($row["subscription_id"]==$sel_subscription){
			$display_header.=TEXT_SUBSCRIPTION  . ":&nbsp;&nbsp;" . $row["subscription_name"] . "\t";
		}
	}
	mysql_free_result($sql_result);
	
	// get location names
	$sql = "select distinct location_id, location_name from events,events_locations where location_id=events_location order by location_name";
	$sql_result = tep_db_query($sql);
	$locations_array[]=array("id"=>-1,"text"=>TEXT_ALL_LOCATIONS);
	while($row=tep_db_fetch_array($sql_result)) {
		$locations_array[]=array("id"=>$row["location_id"],"text"=>$row["location_name"]);
		if ($row["location_id"]==$location){
			$display_header.=TEXT_LOCATION  . ":&nbsp;&nbsp;" . $row["location_name"] . "\t";
		}
	}
	mysql_free_result($sql_result);
	// Events List
	
	$events_option="";
	if ($login_groups_type==TEXT_INSTRUCTOR_ENTRY) $events_option=" and e.events_instructor='" . $login_id . "'";
	$sql = "select e.events_id events_id, Events_name  events_name from events e, events_description ed where e.events_id = ed.events_id and ed.language_id='" . $languages_id ."'" . EVENTS_CONDITION_STATUS . $events_option . "order by events_name";
	$sql_result = tep_db_query($sql);
	$events_array[]=array("id"=>-1,"text"=>TEXT_ALL_EVENTS);
	while($row=tep_db_fetch_array($sql_result)) {
		$events_array[]=array("id"=>$row["events_id"],"text"=>$row["events_name"]);
		if ($row["events_id"]==$event){
			$display_header.=TEXT_EVENT  . ":&nbsp;&nbsp;" . $row["events_name"];
		}
	}
	mysql_free_result($sql_result);
	$found_results=false;
	// build the output if needed
		$where = " ";
	 if($chk_subscription){
	 	if($subscription!="-1"){
			$where.= "and su.subscription_id='".$subscription."' ";
		}
	 }else {
		if($instructor!="-1") {
			$where.= "and e.events_instructor='".$instructor."' ";
		} 
		if($location!="-1") {
			$where.= "and e.events_location='".$location."' ";
		}
		if($event!="-1") {
			$where.= "and e.events_id='".$event."' ";
		}
	 }	
		// create the sql for fetching customer details
		if ($chk_subscription==false){
		$sql = "select e.events_id events_id, es.sessions_id, o.orders_id order_id, concat(LTRIM(c.customers_lastname),' ',LTRIM(c.customers_firstname)) as customers_name,o.customers_id,
			o.customers_email_address customers_email_address, o.customers_suburb,o.customers_city,
			o.customers_telephone customers_telephone, o.customers_street_address,o.customers_fax,
			e.events_instructor events_instructor, e.events_location events_location, ed.events_name events_name,
			es.start_date, time_format(e.events_start_time,'%h:%i %p') as start_time, op.events_type, op.waitlist_type, 
			o.orders_status,e.events_group_bookings,op.products_quantity  from ".TABLE_EVENTS_SESSIONS ." es,".TABLE_ORDERS_PRODUCTS ." op,".TABLE_ORDERS." o,".TABLE_CUSTOMERS ." c,".TABLE_EVENTS ." e,".TABLE_EVENTS_DESCRIPTION ." ed 
			where o.customers_id=c.customers_id and es.sessions_id = op.products_id and op.orders_id=o.orders_id and e.events_id=es.events_id 
			and op.products_type='E' and ed.events_id=e.events_id and ( date_format(es.start_date,'%Y-%m-%d') >='$date_begin' and  date_format(es.start_date,'%Y-%m-%d')<='$date_end')
			and (op.events_type='R') and ed.language_id='" . $languages_id . "' " .$where." group by o.customers_id order by customers_name ASC ";
	}elseif($chk_subscription){ 
		$sql = "select su.subscription_id subscription_id,o.orders_id, concat(LTRIM(c.customers_lastname),' ',LTRIM(c.customers_firstname)) as customers_name,o.customers_id,
			o.customers_email_address customers_email_address, o.customers_suburb,o.customers_city,
			o.customers_telephone customers_telephone, o.customers_street_address,o.customers_fax,
			sud.subscription_name subscription_name,subscription_type,
			orders_status from orders_products op, orders o,customers c, subscriptions su, subscriptions_description sud 
			where  o.customers_id=o.customers_id and op.orders_id=o.orders_id and products_type='S' and sud.subscription_id=su.subscription_id and sud.language_id='" . $languages_id . "' " .$where." group by o.customers_id order by customers_name ASC ";
	}
	
	if ($post_action=="screen"){
		// split the report to multiple pages
		$query_split = new splitPageResultsReport($page, REPORT_MAX_ROWS_PAGE, $sql, $query_split_numrows);
	}
		
		$sql_result=tep_db_query($sql);
		$num_rows=tep_db_num_rows($sql_result);
		if ($num_rows>0) $found_results=true;

	$report_filename=sprintf("customer_details_%s_%s",$login_id,time());
	// output to pdf
	if ($post_action=="pdf"){
		generate_pdf();
		tep_redirect(DIR_WS_CATALOG . "images/".$report_filename.".pdf");
		return;
	}

	// output to excel
	if ($post_action=="excel"){
		generate_excel();
		tep_redirect(DIR_WS_CATALOG . "images/".$report_filename.".csv");
		return;
	}
	tep_delete_temp_files("customer_details_" . $login_id);
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript" src="includes/menu.js"></script>
<script language="javascript" src="includes/general.js"></script>
<script language="JavaScript" src="includes/date-picker.js"></script>
<script language="JavaScript">
	function doReport(mode) {
		if (mode==3){
			document.f.post_action.value="excel"
			document.f.target="_blank";
		} else if (mode==2){
			document.f.post_action.value="pdf";
			document.f.target="_blank";
		} else {
			document.f.post_action.value="screen";
			document.f.target="_self";
		}
		document.f.submit();
	}
</script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF">
<div id="spiffycalendar" class="text"></div>
	<!-- header //-->
	<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
	<!-- header_eof //-->
	<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
<tr> 
	<!-- body_text //-->	  
	<td width=100% align=left valign="top">
	<table border="0" width="100%" cellspacing="0" cellpadding="2">
		<tr height="10">
			<!-- <td class="pageHeading"><?php //echo HEADING_CUSTOMER_DETAILS;?></td> !-->	
		</tr>
        <tr >
		  	<TD>
			<?php 	echo tep_draw_form("f",FILENAME_CUSTOMER_DETAILS);
					echo tep_draw_hidden_field("post_action","screen");
			?>
			<table border="0" cellspacing="3" cellpadding="2" class="searchArea" width="100%">
				<tr>
					
					<td><?php $_array=array('d','m','Y');  $replace_array=array('DD','MM','YYYY'); 	$date_format=str_replace($_array,$replace_array,EVENTS_DATE_FORMAT);?>
						<?php echo "Date" . '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;' . tep_draw_input_field("txtDate",format_date($date),'maxlength="10" size="10"');?>
						<a href="javascript:show_calendar('f.txtDate',null,null,'<?php echo $date_format;?>');"
						onmouseover="window.status='Date Picker';return true;"
						onmouseout="window.status='';return true;"><img border="none" src="images/icon_calendar.gif"/>  
						</a>
						<?php    
							echo tep_draw_separator('pixel_trans.gif',42,10) ;
							echo  TEXT_VIEW . '&nbsp;' . tep_draw_pull_down_menu("sel_view",$view_array,$view);
							echo '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;' . SELECT_SUBSCRIPITION . tep_draw_checkbox_field('chk_subscription',$chk_subscription);?>
					
					</TD>
					
					<td nowrap="true" align="left">
					</td>
					
					
					<td valign="middle" align="right">
						<?php echo '<a href="javascript:doReport(1);">' . tep_image_button('button_report_search.gif', IMAGE_SEARCH_DETAILS) . '</a>'; ?>
					</td>
				</tr>
				
				<tr>
				<td nowrap="true" colspan="3">
					<table width="100%" border="0" cellpadding="0" cellspacing="0">
						<tr>
							<td><label>
								<?php 
									echo TEXT_LOCATION . '&nbsp;&nbsp;' . tep_draw_pull_down_menu("sel_location",$locations_array,$location);
									$all_events_array=array();
									$all_events_array = tep_get_events_array_single();
									if(sizeof($all_events_array)<=0) echo 'Events are not Available';
									else echo '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.TEXT_EVENT . '&nbsp;&nbsp;&nbsp;' . tep_draw_event_select_menu('sel_event',$all_events_array,$event,' id="sel_event"');
									echo '&nbsp;&nbsp;&nbsp;'.TEXT_INSTRUCTOR . '&nbsp;' . tep_draw_pull_down_menu("sel_instructor",$instructors_array,$instructor);
									?>		
							</label></td>
							<td class="main" valign="middle" align="right">
								<?php echo '<a href="javascript:doReport(2);">' . tep_image_button('button_export_pdf.gif', IMG_EXPORT_PDF) . '</a>';?>
							</td>	
						</tr>
					</table>
				</td>
			</tr>
				<tr>
				<td nowrap="true" align="left">
					<?php  
						$all_subscriptions_array=array();
						$all_subscriptions_array = tep_get_subscription_array_single();
						if(sizeof($all_subscriptions_array)<=0) echo 'Subscriptions are not Available';
						else echo  TEXT_SUBSCRIPTION . '&nbsp;&nbsp;' . tep_draw_subscription_select_menu('sel_subscription',$all_subscriptions_array,$sel_subscription,' id="sel_subscription"'); ?>
						
				</td>
				<td colspan="3" align="right" class="main">
					<?php echo '<a href="javascript:doReport(3);">' . tep_image_button('button_export_excel.gif', IMG_EXPORT_EXCEL) . '</a>';?>
				</td>
			</tr>
			<!-- report content -->
		</table>
		</form>
		</td>
	</tr>
	<tr ><td class="cell_bg_report_header">&nbsp;</td></tr>
	<?php if ($found_results) { ?>
		<tr>
				<td>
				<table border="0" width="100%" cellspacing="0" cellpadding="2">
					<tr>
						<td class="smallText" align="left">
							<?php echo $query_split->display_links($query_split_numrows, REPORT_MAX_ROWS_PAGE, REPORT_MAX_LINKS_PAGE, $page,tep_get_report_params()); ?>&nbsp;
						</td>
					</tr>
				</table>
				</td>
		</tr>
	<tr>
		<td>
	   <table border="0" width="100%" cellspacing="1" cellpadding="1">
			<tr class='dataTableHeadingTitleRow'>
				<td class='dataTableHeadingTitleContent' width="30"><?php echo TEXT_ID;?></td>
				<td class='dataTableHeadingTitleContent'><?php echo TEXT_CLIENT;?></td>
				<td class='dataTableHeadingTitleContent'><?php echo TEXT_ADDRESS;?></td>
				<td class='dataTableHeadingTitleContent' width="130"><?php echo TEXT_PHONE;?></td>
				<td class='dataTableHeadingTitleContent' width="130"><?php echo TEXT_MOBILE;?></td>
				<td class='dataTableHeadingTitleContent' width="50"><?php echo TEXT_EMAIL;?></td>
				<td class='dataTableHeadingTitleContent' width="50"></td>
			</tr>
			<tr height="10"></tr>
			<?php
					$i=1;
					mysql_data_seek($sql_result,0);
          			while($row = tep_db_fetch_array($sql_result)) {
				//	print_r ($row);
						?>
                  <tr class='dataTableRow' height="20" onMouseOver="rowOverEffect(this)" onMouseOut="rowOutEffect(this)" onClick="javascript:location.href='<?php echo tep_href_link(FILENAME_CUSTOMERS,'cID=' . $row["customers_id"] . '&action=edit&return=ct');?>';">
					  <td class='dataTableContent' style="cursor:hand" valign="top"><?php echo $i?></td>
					  <td class='dataTableContent' style="cursor:hand" valign="top"><?php echo $row['customers_name'];?></td>
					  <td class='dataTableContent' style="cursor:hand" valign="top">
					  	<?php  	if ($row['customers_street_address']!="") echo $row['customers_street_address'] .'<br>';
								if ($row['customers_suburb']!="") echo $row['customers_suburb'] .'<br>';
								if ($row['customers_city']!="") echo $row['customers_city'] . '<br>';
								echo '<br>';
						?>
					  </td>
					  <td class='dataTableContent' style="cursor:hand" valign="top"><?php echo $row['customers_telephone']?></td>
					  <td class='dataTableContent' style="cursor:hand" valign="top"><?php echo $row['customers_fax']?></td>
					  <td class='dataTableContent' style="cursor:hand" align="center" valign="top"> <a href="mailto:<?php echo $row['customers_email_address']?>"><img src="images/icons/mail.gif" border="0"></a></td>
                 <?php 
                 $group="";
                 if($row['events_group_bookings']=='Y' && $row['products_quantity']>=1)
                 	$group=tep_image(DIR_WS_IMAGES . 'multi_booking.gif',IMAGE_MODIFY_GROUP);
                 ?>
                 <td class='dataTableContent' style="cursor:hand" align="center" valign="top"> <a href="<?php echo tep_href_link(FILENAME_ORDERS,'oID='.$row['orders_id'].'&action=edit&return=ct');?>"><?php echo $group;?></a></td>
                  </tr>
			<?php 
						$i++;						
					}	
			?>
	</table>
	</TD>
	</tr>
	<?php 
		}
		else{
			echo '<tr><td class="main" align="center">' . TEXT_NO_RECORDS_FOUND . '</td></tr>';
		}
	?>
</table>
</td>
</tr>
</table>
	<!-- footer //-->
	<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
	<!-- footer_eof //-->
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); 

	// function to create pdf content
	function generate_pdf(){
		global $sql_result,$display_header,$found_results,$login_id,$report_filename;
		
		// set initial params
		$table=new pdfTable("A4","l");
		$table->left_margin=20;
		$table->top_margin=20;
		$table->right_margin=20;
		$table->bottom_margin=20;
		$table->pdfInit();
		
		// Add the styles
		$table->AddStyle("heading","color:#727272;bgcolor:#ffffff;font:Arial;size:18;style:B");
		$table->AddStyle("user","color:#000000;bgcolor:#f1f9fe;font:Arial;size:14;style:B;border-color:#7b9ebd");
		$table->AddStyle("subhead","color:#000000;bgcolor:#7b9ebd;font:Arial;size:10;style:B");
		$table->AddStyle("headrow","color:#000000;bgcolor:#C9C9C9;font:Arial;size:10;style:B");
		$table->AddStyle("row","color:#000000;bgcolor:#F0F1F1;font:Arial;size:10");
		$table->AddStyle("query","color:#000000;bgcolor:#FFFFFF;font:Arial;size:11");
		$table->AddStyle("subrow","color:#000000;bgcolor:#FFFFFF;font:Arial;size:10");
		$table->AddStyle("subrowhead","color:#000000;bgcolor:#FFFFFF;font:Arial;size:10;style:B");

		
		$table->headers["text"]=$display_header;
		$table->headers["style"]="query";
		$table->headers["height"]=12;
		$table->headers["width"]="100%";
		$table->headers["cols"]=3;

		//define the column width
		$widths[0]=$table->width*5/100;
		$widths[2]=$table->width*30/100;
		$widths[3]=$table->width*10/100;
		$widths[4]=$table->width*10/100;
		$widths[5]=$table->width*10/100;

		$widths[1]=$table->width-($widths[0]+$widths[2]+$widths[3]+$widths[4]+$widths[5]);

		if ($found_results){
		// create the table header columns
		$cols=array();
		$cols[]=array("text"=>TEXT_ID,"width"=>$widths[0],"align"=>"L","style"=>"headrow","valign"=>"M");
		$cols[]=array("text"=>TEXT_CLIENT,"width"=>$widths[1],"align"=>"L","style"=>"headrow","valign"=>"M");
		$cols[]=array("text"=>TEXT_ADDRESS,"width"=>$widths[2],"align"=>"L","style"=>"headrow","valign"=>"M");
		$cols[]=array("text"=>TEXT_PHONE,"width"=>$widths[3],"align"=>"L","style"=>"headrow","valign"=>"M");
		$cols[]=array("text"=>TEXT_MOBILE,"width"=>$widths[4],"align"=>"L","style"=>"headrow","valign"=>"M");
		$cols[]=array("text"=>'',"width"=>$widths[5],"align"=>"L","style"=>"headrow","valign"=>"M");
		$table->tableheaders["text"]=$cols;
		$i=1;
		unset($cols);
		mysql_data_seek($sql_result,0);
		// output the content
		while($row = tep_db_fetch_array($sql_result)) {
			$cols=array();
			$address="";
			if ($row['customers_street_address']!="") {
				$address.=$row['customers_street_address'] ."\n";
			}
			if ($row['customers_suburb']!="") {
				$address.=$row['customers_suburb'] ."\n";
			}
			if ($row['customers_city']!="") {
				$address.=$row['customers_city'] . '\n';
			}
			$group="";
			if($row['events_group_bookings']=='Y' && $row['products_quantity']>=1)
				$group=TEXT_GROUP_BOOKING;
			$address=substr($address,0,-2);
			$cols[]=array("text"=>$i,"width"=>$widths[0],"align"=>"L","style"=>"row","valign"=>"M");
			$cols[]=array("text"=>$row['customers_name'],"width"=>$widths[1],"align"=>"L","style"=>"row","valign"=>"M");
			$cols[]=array("text"=>$address,"width"=>$widths[2],"align"=>"L","style"=>"row","valign"=>"M");
			$cols[]=array("text"=>$row['customers_telephone'],"width"=>$widths[3],"align"=>"L","style"=>"row","valign"=>"M");
			$cols[]=array("text"=>$row['customers_fax'],"width"=>$widths[4],"align"=>"L","style"=>"row","valign"=>"M");
			$cols[]=array("text"=>$group,"width"=>$widths[5],"align"=>"L","style"=>"row","valign"=>"M");
			$table->OutputRowMultiple($cols,15);
			unset($cols);
			$i++;						
		}
		} else {
			$cols[]=array("text"=>TEXT_NO_RECORDS_FOUND,"width"=>"100%","align"=>"C","style"=>"subrow","valign"=>"M");
			$table->OutputRow($cols,15);
			unset($cols);
		}
		//create the pdf
		$table->Render($report_filename.".pdf");
	}
	function generate_excel(){
		global $sql_result,$found_results,$login_id,$report_filename;
		
		$result="";
		$i=1;
		if ($found_results){
		$result.=TEXT_ID . "," . TEXT_CLIENT . "," . TEXT_ADDRESS . "," . TEXT_SUBURB . "," . TEXT_CITY . "," .
				TEXT_PHONE . "," . TEXT_MOBILE .",". '' ."\n";
			mysql_data_seek($sql_result,0);
		while($row = tep_db_fetch_array($sql_result)) {
			$cols=array();
			$address="";
			$height=0;
			$group="";
			if($row['events_group_bookings']=='Y' && $row['products_quantity']>=1)
				$group=TEXT_GROUP_BOOKING;
			$result.=$i . ",\"" .$row['customers_name']. "\",\"" . $row['customers_street_address'] . "\",\"" .
					$row['customers_suburb'] . "\",\"" .$row['customers_city'] . "\",\"" . $row['customers_telephone']  . "\",\"" .
					$row['customers_fax'] . "\",\"".$group. "\"\n";
			$i++;						
		}
		} else {
			$result.=TEXT_NO_RECORDS_FOUND . "\n";
		}
		tep_write_text_file($report_filename.".csv",$result);
	}
?>